## GucharmapBlockCodepointList

GucharmapBlockCodepointList

## Functions

GucharmapCodepointList * | gucharmap_block_codepoint_list_new ()

## Properties

guint | first-codepoint | Read / Write / Construct Only
guint | last-codepoint | Read / Write / Construct Only
guint | first-codepoint | Read / Write / Construct Only
guint | last-codepoint | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GucharmapCodepointList
            ╰── GucharmapBlockCodepointList

## Description

## Functions

### gucharmap_block_codepoint_list_new ()

    GucharmapCodepointList *
    gucharmap_block_codepoint_list_new (gunichar start,
                                        gunichar end);

Creates a new codepoint list for the range `start` ..`end` .

#### Parameters

start | the first codepoint |
end | the last codepoint |

#### Returns

the newly-created GucharmapBlockCodepointList. Use `g_object_unref()` to free the result.

## Property Details

### The `“first-codepoint”` property

      “first-codepoint”          guint

First codepoint.

Owner: GucharmapBlockCodepointList

Flags: Read / Write / Construct Only

Allowed values: <= 1114111

Default value: 0

### The `“last-codepoint”` property

      “last-codepoint”           guint

Last codepoint.

Owner: GucharmapBlockCodepointList

Flags: Read / Write / Construct Only

Allowed values: <= 1114111

Default value: 0

### The `“first-codepoint”` property

      “first-codepoint”          guint

First codepoint.

Owner: GucharmapBlockCodepointList

Flags: Read / Write / Construct Only

Allowed values: <= 1114111

Default value: 0

### The `“last-codepoint”` property

      “last-codepoint”           guint

Last codepoint.

Owner: GucharmapBlockCodepointList

Flags: Read / Write / Construct Only

Allowed values: <= 1114111

Default value: 0